Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180202 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180202

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
aaa_base (84.87+git20171201.65000be -> 84.87+git20180130.ae1f262)
autoyast2 (4.0.24 -> 4.0.28)
dhcp
grub2
hugin
konsole
libstorage-ng (3.3.140 -> 3.3.145)
net-snmp
openssh
rdma-core (16.1 -> 16.2)
ruby2.5
yast2 (4.0.39 -> 4.0.49)
yast2-bootloader (4.0.13 -> 4.0.14)
yast2-country (4.0.17 -> 4.0.19)
yast2-firewall (4.0.9 -> 4.0.10)
yast2-installation (4.0.26 -> 4.0.30)
yast2-isns (3.1.7 -> 4.0.0)
yast2-mail (4.0.0 -> 4.0.1)
yast2-nfs-client (4.0.0 -> 4.0.1)
yast2-nfs-server (3.1.9 -> 4.0.0)
yast2-ntp-client (4.0.6 -> 4.0.7)
yast2-packager (4.0.32 -> 4.0.35)
yast2-pkg-bindings (4.0.6 -> 4.0.7)
yast2-squid (4.0.0 -> 4.0.1)
yast2-storage-ng (4.0.76 -> 4.0.82)
yast2-tftp-server (3.1.3 -> 4.0.0)

=== Details ===

==== aaa_base ====
Version update (84.87+git20171201.65000be -> 84.87+git20180130.ae1f262)
Subpackages: aaa_base-extras

- Update to version 84.87+git20180130.ae1f262:
* Really remove /usr/sbin/Check, obsolete since 8 years
* Remove ChangeSymlinks, 90% are obsolete, the rest is dangerous
* Remove 14 year old outdated documentation and dummy scripts for
Java
- Update to version 84.87+git20180130.36ea161:
* Remove obsolete/outdated manual pages (route.conf.5,init.d.7,
quick_halt.8)

==== autoyast2 ====
Version update (4.0.24 -> 4.0.28)
Subpackages: autoyast2-installation

- Report packages which cannot be select for installation
(except those packages not included in the AutoYaST profile)
(bnc#1077292)
- 4.0.28
- Speed optimization for the previous fix, the "clone_system"
client spent several minutes processing the packages
(related to bsc#1077882)
- 4.0.27
- Avoid using Pkg.ResolvableProperties("", :package, "") calls
which require too much memory (bsc#1077882)
- 4.0.26
- Reporting packages which cannot be selected for installation.
(bnc#1077292)
- 4.0.25

==== dhcp ====
Subpackages: dhcp-client dhcp-doc dhcp-relay dhcp-server

- Optimized if and when DNS client context and ports
are initted (bsc#1073935)
[+0022-Optimized-if-and-when-DNS-client-context-and-ports.patch]
- Plugs a socket descriptor leak in OMAPI(bsc#1076119, CVE-2017-3144)
[ +0021-master-Plugs-a-socket-descriptor-leak-in-OMAPI.patch]

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Check if default entry need to be corrected for updated distributor version
and/or use fallback entry if default kernel entry removed (bsc#1065349)
* grub2-check-default.sh
* grub2-mkconfig-default-entry-correction.patch
- Fix grub2-mkconfig warning when disk is LVM PV (bsc#1071239)
* grub2-getroot-scan-disk-pv.patch

==== hugin ====

- Pass -DPYTHON_EXECUTABLE=/usr/bin/python2 to CMake, ensuring we
use the python2 interpreter.

==== konsole ====
Subpackages: konsole-part

- Temporary add patch konsole-D10064.id25855.diff which is based on
the Diff 25855 from https://phabricator.kde.org/D10064 for Support
of ECMA-48 REP (boo#1054448, bsc#1078565, and kde#384620)

==== libstorage-ng ====
Version update (3.3.140 -> 3.3.145)
Subpackages: libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#439
- start rpcbind before doing NFS mounts
- cleanup
- added integration-test
- 3.3.145
- Translated using Weblate (Arabic)
- merge gh#openSUSE/libstorage-ng#438
- extended documentation
- 3.3.144
- merge gh#openSUSE/libstorage-ng#437
- distinguish between mounted and unounted in supports_shrink/grow
- 3.3.143
- Translated using Weblate (Korean)
- Fixed an Arabic format string typo
- 3.3.142
- Translated using Weblate (Arabic)
- 3.3.141

==== net-snmp ====
Subpackages: libsnmp30 net-snmp-devel perl-SNMP snmp-mibs

- Fix RPM group for shlib subpackage.
- Properly conditionalize the py2 build
- Add patch from Fedora to support natively systemd:
* net-snmp-5.7.2-systemd.patch
- Drop the check phase as whole 90% of the tests fail it makes
more sense to run them somewhere localy
- Take systemd service files from fedora to replace sysV scripts
- Also convert the sysconfig files to match fedora ones, they
get bit more terse but it works seamlessly with systemd
- Format with spec-cleaner
- Drop sle11 support as it fails to build anyway for ages
- Rename python packages to be python-%{name} with obsoletes
* Use new singlespec macros
* Add patch converting the py files to python3/2 compat mode
net-snmp-python3.patch
- Run full autoreconf instead of partial
- Build with threads by building few targets first

==== openssh ====
Subpackages: openssh-helpers

- Add missing crypto hardware enablement patches for IBM mainframes
(FATE#323902)
- add missing part of systemd integration (unit type)

==== rdma-core ====
Version update (16.1 -> 16.2)
Subpackages: libibverbs libibverbs1 libmlx4-1 libmlx5-1 librdmacm1

- Update to rdma-core v16.2 (bsc#1078819):
* Backport fixes:
* iwpmd: fix double mutex unlock
* libbnxt_re: Fix lat test failure in event mode
* libbnxt_re: Update and sort device pci-id table
* cbuild: Support distros that only ship python3
* libbnxt_re: Display FW version using ibv_devinfo

==== ruby2.5 ====
Subpackages: libruby2_5-2_5 ruby2.5-devel ruby2.5-stdlib

- fix dump-versions.rb: it was picking up system rdoc versions on
some source dirs

==== yast2 ====
Version update (4.0.39 -> 4.0.49)

- Y2Packager::Product does not depend on Yast::Language module
anymore (related to bsc#1079045)
- 4.0.49
- Replace idnconv with simpleidn library (related to bsc#1071552).
- Move some Y2Packager classes from yast2-packager here to
fix the package build.
- 4.0.48
- Firewalld: Cache modifications for performance improvements.
(fate#323460)
- 4.0.47
- Move some Y2Packager classes from yast2-packager here to avoid
circular dependency (related to fate#323163)
- 4.0.46
- Firewalld API: Cache whether the configuration has been read
(fate#323460)
- 4.0.45
- Installation::AutoClient: modified packages default and improved
documentation (fate#323460 bsc#1077987)
- 4.0.44
- Fixed a bug causing pages of all CWM::TreePager to be rendered
twice on every page switch (bsc#1078212)
- 4.0.43
- Firewalld API: reload and complete reload return true in offline
mode (fate#323460)
- 4.0.42
- Fixed logging typo (fate#1076513)
- 4.0.41
- Improved base product detection at upgrade (fate#1076513)
- 4.0.40

==== yast2-bootloader ====
Version update (4.0.13 -> 4.0.14)

- fix crash when clicking link in proposal (bsc#1078227)
- 4.0.14

==== yast2-country ====
Version update (4.0.17 -> 4.0.19)
Subpackages: yast2-country-data

- Lnaguage: nicer handling of dbus timeout (bsc#1076804)
- 4.0.19
- Reimplemented package reset to require less memory
(related to bsc#1076768)
- 4.0.18

==== yast2-firewall ====
Version update (4.0.9 -> 4.0.10)

- AutoYaST: (fate#323460)
* Try to import again during writing in case it was not completed
previously (ex: firewalld was not installed).
* Enable or disable firewalld depending on the profile
- 4.0.10

==== yast2-installation ====
Version update (4.0.26 -> 4.0.30)

- do not crash if no role is selected (bsc#1078809)
- 4.0.30
- Provides the current language when asking for the product's
release notes to the yast2.rpm API (related to bsc#1079045).
- 4.0.29
- Do not enable xvnc.socket for second installation stage.
Xvnc will be started by a direct call in vnc.sh. (bnc#1077236)
- 4.0.28
- Reimplemented finding package upgrades to require less memory
(related to bsc#1076768)
- 4.0.27

==== yast2-isns ====
Version update (3.1.7 -> 4.0.0)

- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.0

==== yast2-mail ====
Version update (4.0.0 -> 4.0.1)

- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.1

==== yast2-nfs-client ====
Version update (4.0.0 -> 4.0.1)

- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.1

==== yast2-nfs-server ====
Version update (3.1.9 -> 4.0.0)
Subpackages: yast2-nfs-common

- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.0

==== yast2-ntp-client ====
Version update (4.0.6 -> 4.0.7)

- set properly range for sync interval (bsc#1079117)
- Mention proper configuration file when write failed (bsc#1079120)
- validate pool address (bsc#1079120)
- 4.0.7

==== yast2-packager ====
Version update (4.0.32 -> 4.0.35)

- InstProductLicense client provides the current language when
asking for the product's license to the yast2.rpm API
(related to bsc#1079045).
- 4.0.35
- Remove also the release_notes_fetchers/base.rb file
(related to fate#323163)
- 4.0.34
- Move some Y2Packager files to yast2 package to avoid circular
dependency (related to fate#323163)
- 4.0.33
- Reimplemented package reset to require less memory
(related to bsc#1076768)
- 4.0.33

==== yast2-pkg-bindings ====
Version update (4.0.6 -> 4.0.7)

- Added "transact_by" key to the PkgPropertiesAll call
(improvement for bsc#1077882)
- 4.0.7

==== yast2-squid ====
Version update (4.0.0 -> 4.0.1)

- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.1

==== yast2-storage-ng ====
Version update (4.0.76 -> 4.0.82)

- Handle arbitrary mount options for /etc/fstab properly
(bsc#1066076)
- 4.0.82
- Partitioner: list all LVM thin volumes to delete when an LVM thin
pool is going to be deleted.
- Partitioner: show warning when an LVM thin pool is overcommitted
after resizing.
- Part of fate#318196.
- 4.0.81
- AutoYaST: try to shrink new partitions/logical volumes
proportionally when there is not enough space (bsc#1078418).
- 4.0.80
- Partitioner: initial support for NFS (part of fate#318196)
- Partitioner: removed useless tmpfs option
- 4.0.79
- Partitioner: allow to create LVM thin pools and volumes.
- Fix transactions of devicegraphs.
- Part of fate#318196.
- 4.0.78
- Partitioner: improve error message when trying to remove an used
physical volume.
- Add default mount options for /etc/fstab for ext2/3/4 and vfat
(bsc#1066076)
- 4.0.77

==== yast2-tftp-server ====
Version update (3.1.3 -> 4.0.0)

- switch from xinetd to systemd socket activation (fate#323373)
- switch from SuSEFirewall to firewalld (fate#323460)
- 4.0.0


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages